import { Api } from '@bravobit/bb-foundation/api';
export interface AuthProvider {
    authenticate(api: Api): Promise<AuthProviderResponse>;
}
export interface AuthProviderResponse {
    accessToken: string;
    refreshToken: string;
    user: any;
    provider?: string;
}
export interface AuthSignInResponse {
    user?: unknown;
    provider?: string;
}
